package tech.glinfo.enbao.modules.sh.service;

import com.baomidou.mybatisplus.extension.service.IService;
import tech.glinfo.enbao.common.utils.R;
import tech.glinfo.enbao.modules.appuser.entity.AppUserEntity;
import tech.glinfo.enbao.modules.sh.entity.ShFamilyRoomEntity;

import java.util.Map;

/**
 * @author lyt
 * @date 2022/1/5 10:49
 */
public interface OtherShFamilyRoomService extends IService<ShFamilyRoomEntity> {

    R addOrUpdate(Map<String, Object> params, AppUserEntity user);

    R delete(Map<String, Object> params);

    R list(Integer familyId);

    R info(Integer id);

    R removeRelation(Integer deviceId);
}
